#Use
Example usage for np_picker:

```import spacy
from phrase_pickers.np_picker import \*

nlp = spacy.load("en_core_web_sm")

print(get_np_indices(nlp('We produce oil and natural gas.')))
print(get_np_indices(nlp('I like green and red cars.')))
print(get_np_indices(nlp('I like Starbucks coffee.')))```

Example usage for vp_picker:
```import spacy
from phrase_pickers.vp_picker import \*

nlp = spacy.load("en_core_web_sm")

print(get_vp_indices(nlp("We will be offering general clothes after we get approval.")))
print(get_vp_indices(nlp("We make transportation and fracturing pipelines.")))
print(get_vp_indices(nlp("We provide repair services.")))
print(get_vp_indices(nlp("We are a car manufacturer.")))
print(get_vp_indices(nlp("We have not experienced any significant shortages of raw materials, components or finished parts and normally do not carry inventories of raw materials or finished parts in excess of those reasonably required to meet our production and shipping schedules.")))```
```

#Packaging
Packaging for this module is tricky, because it requires a spacy _model_ (e.g. `en_core_web_sm`) to work properly.
To create a new release & push package to PyPI:
1. Change the version number in `setup()` in `setup.py`
2. Delete any old .whl or .tar.gz files in `dist` folder
3. In your dev environment, run `python setup.py clean --all sdist bdist_wheel`
4. Test upload to TestPyPI: `python -m twine upload --repository-url https://test.pypi.org/legacy/ dist/*`
5. In a clean, new environment, verify that package downloaded from TestPyPI is working: `pip install --extra-index-url https://testpypi.python.org/pypi pn-phrase-pickers`
6. Upload to PyPI with twine.